{
    "name": "mydatakeeper/webinterface",
    "description": "Mydatakeeper webinterface",
    "homepage": "https://mydatakeeper.fr",
    "type": "project",
    "license": "MIT",
    "require": {
        "php": ">=7.2",
        "cakephp/cakephp": "^4.0",
        "cakephp/migrations": "^3.0",
        "cakephp/plugin-installer": "^1.2",
        "components/jquery": "3.4.*",
        "mobiledetect/mobiledetectlib": "^2.8",
        "patchwork/jsqueeze": "^2.0",
        "scssphp/scssphp": "^1.0",
        "twbs/bootstrap": "4.1.*"
    },
    "require-dev": {
        "cakephp/bake": "^2.0.3",
        "cakephp/cakephp-codesniffer": "~4.0.0",
        "cakephp/debug_kit": "^4.0",
        "josegonzalez/dotenv": "^3.2",
        "phpunit/phpunit": "^8.5",
        "psy/psysh": "@stable"
    },
    "suggest": {
        "markstory/asset_compress": "An asset compression plugin which provides file concatenation and a flexible filter system for preprocessing and minification.",
        "dereuromark/cakephp-ide-helper": "After baking your code, this keeps your annotations in sync with the code evolving from there on for maximum IDE and PHPStan/Psalm compatibility.",
        "phpstan/phpstan": "PHPStan focuses on finding errors in your code without actually running it. It catches whole classes of bugs even before you write tests for the code."
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Test\\": "tests/",
            "Cake\\Test\\": "vendor/cakephp/cakephp/tests/"
        }
    },
    "scripts": {
        "post-install-cmd": "App\\Console\\Installer::postInstall",
        "post-create-project-cmd": "App\\Console\\Installer::postInstall",
        "post-autoload-dump": "Cake\\Composer\\Installer\\PluginInstaller::postAutoloadDump",
        "css": ["@css-bootstrap-min", "@css-mydatakeeper-min"],
        "css-dev": ["@css-dev-bootstrap-min", "@css-dev-mydatakeeper-min"],
        "css-bootstrap": [
            "mkdir -p webroot/css/vendor",
            "bin/scss vendor/twbs/bootstrap/scss/bootstrap.scss webroot/css/vendor/bootstrap.css"
        ],
        "css-dev-bootstrap": [
            "mkdir -p webroot/css/vendor",
            "bin/scss vendor/twbs/bootstrap/scss/bootstrap.scss webroot/css/vendor/bootstrap.css nested webroot/css/vendor/bootstrap.map"
        ],
        "css-bootstrap-min": [
            "mkdir -p webroot/css/vendor",
            "bin/scss vendor/twbs/bootstrap/scss/bootstrap.scss webroot/css/vendor/bootstrap.min.css compressed"
        ],
        "css-dev-bootstrap-min": [
            "mkdir -p webroot/css/vendor",
            "bin/scss vendor/twbs/bootstrap/scss/bootstrap.scss webroot/css/vendor/bootstrap.min.css compressed webroot/css/vendor/bootstrap.min.map"
        ],
        "css-mydatakeeper": [
            "mkdir -p webroot/css",
            "bin/scss scss/mydatakeeper.scss webroot/css/mydatakeeper.css"
        ],
        "css-dev-mydatakeeper": [
            "mkdir -p webroot/css",
            "bin/scss scss/mydatakeeper.scss webroot/css/mydatakeeper.css nested webroot/css/mydatakeeper.map"
        ],
        "css-mydatakeeper-min": [
            "mkdir -p webroot/css",
            "bin/scss scss/mydatakeeper.scss webroot/css/mydatakeeper.min.css compressed"
        ],
        "css-dev-mydatakeeper-min": [
            "mkdir -p webroot/css",
            "bin/scss scss/mydatakeeper.scss webroot/css/mydatakeeper.min.css compressed webroot/css/mydatakeeper.min.map"
        ],
        "js": ["@js-jquery-min", "@js-bootstrap-min", "@js-cleave-min", "@js-mydatakeeper-min"],
        "js-dev": ["@js-dev-jquery-min", "@js-dev-bootstrap-min", "@js-cleave", "@js-mydatakeeper"],
        "js-jquery": [
            "mkdir -p webroot/js/vendor",
            "cp vendor/components/jquery/jquery.js webroot/js/vendor/jquery.js"
        ],
        "js-jquery-min": [
            "mkdir -p webroot/js/vendor",
            "cp vendor/components/jquery/jquery.min.js webroot/js/vendor/jquery.min.js"
        ],
        "js-dev-jquery-min": [
            "@js-jquery-min",
            "cp vendor/components/jquery/jquery.min.map webroot/js/vendor/jquery.min.map"
        ],
        "js-bootstrap": [
            "mkdir -p webroot/js/vendor",
            "cp vendor/twbs/bootstrap/dist/js/bootstrap.bundle.js webroot/js/vendor/bootstrap.bundle.js"
        ],
        "js-dev-bootstrap": [
            "@js-bootstrap",
            "cp vendor/twbs/bootstrap/dist/js/bootstrap.bundle.map webroot/js/vendor/bootstrap.bundle.map"
        ],
        "js-bootstrap-min": [
            "mkdir -p webroot/js/vendor",
            "cp vendor/twbs/bootstrap/dist/js/bootstrap.bundle.min.js webroot/js/vendor/bootstrap.bundle.min.js"
        ],
        "js-dev-bootstrap-min": [
            "@js-bootstrap-min",
            "cp vendor/twbs/bootstrap/dist/js/bootstrap.bundle.min.js.map webroot/js/vendor/bootstrap.bundle.min.js.map"
        ],
        "js-cleave": [
            "mkdir -p webroot/js/vendor",
            "cp jsx/vendor/cleave.js webroot/js/vendor/cleave.js"
        ],
        "js-cleave-min": [
            "mkdir -p webroot/js/vendor",
            "cp jsx/vendor/cleave.min.js webroot/js/vendor/cleave.min.js"
        ],
        "js-mydatakeeper": [
            "mkdir -p webroot/js",
            "cp jsx/mydatakeeper.js webroot/js/mydatakeeper.js"
        ],
        "js-mydatakeeper-min": [
            "mkdir -p webroot/js",
            "bin/jsqueeze jsx/mydatakeeper.js > webroot/js/mydatakeeper.min.js"
        ],
        "check": [
            "@test",
            "@cs-check"
        ],
        "cs-check": "phpcs --colors -p --standard=vendor/cakephp/cakephp-codesniffer/CakePHP src/ tests/",
        "cs-fix": "phpcbf --colors --standard=vendor/cakephp/cakephp-codesniffer/CakePHP src/ tests/",
        "stan": "phpstan analyse src/",
        "test": "phpunit --colors=always"
    },
    "prefer-stable": true,
    "config": {
        "sort-packages": true
    },
    "bin": [
        "bin/scss",
        "bin/jsqueeze"
    ],
    "minimum-stability": "dev"
}
